> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List the caller's durable AI chat sessions (bearer token)



## OpenAPI

````yaml https://platform.ankra.app/openapi.json get /api/v1/chat/sessions
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /api/v1/chat/sessions:
    get:
      tags:
        - chat
      summary: List the caller's durable AI chat sessions (bearer token)
      operationId: list_ai_sessions_endpoint_api_v1_chat_sessions_get
      parameters:
        - in: query
          name: cluster_id
          required: false
          schema:
            anyOf:
              - format: uuid
                type: string
              - type: 'null'
            title: Cluster Id
        - in: query
          name: status
          required: false
          schema:
            anyOf:
              - enum:
                  - pending
                  - running
                  - awaiting_user
                  - waiting
                  - completed
                  - failed
                  - cancelled
                  - expired
                type: string
              - type: 'null'
            title: Status
        - in: query
          name: agent_task_id
          required: false
          schema:
            anyOf:
              - format: uuid
                type: string
              - type: 'null'
            title: Agent Task Id
        - in: query
          name: limit
          required: false
          schema:
            default: 50
            maximum: 200
            minimum: 1
            title: Limit
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema: {}
          description: Session summaries, newest first (SessionList)
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContractDetailError'
          description: Unknown status filter
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContractDetailError'
          description: Bearer token missing (400) or invalid (401)
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    ContractDetailError:
      example:
        detail: Cluster not found
      properties:
        detail:
          oneOf:
            - type: string
            - additionalProperties: true
              properties: {}
              type: object
      required:
        - detail
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````